<mat-toolbar  class="search-toolbar">
    <mat-form-field  class="search-field">
        <input matInput placeholder="Search" aria-label="Search" 
           type="text" 
           (input)="getData($event.target )" value="{{searchTerm}}"
        >
        <mat-icon matSuffix>search</mat-icon>
      </mat-form-field>
  </mat-toolbar>

  <mat-grid-list cols="2" rowHeight="1:1">


    @for (item of teamList; track item) {
        <mat-grid-tile  (click)="getPlayersByTeam(item)">
          <div  class="team-tile" >
                        <img class="img" mat-card-image src="{{ item.thumbnail }}" alt="{{ item.name }}">

            </div>
          </mat-grid-tile>
      } @empty {
        <mat-grid-tile  >
          <div class="error-tile">
        <h1>{{messageError}}</h1>
        </div>
        </mat-grid-tile>
        
      }
   


  </mat-grid-list>



